<?php
/**
 * Auto_Movie_Welcome_Page Class
 *
 * @since  1.0.0
 * @package Auto Robot
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

if ( ! class_exists( 'Movie_Welcome_Page' ) ) :

	class Auto_Movie_Welcome_Page extends Auto_Movie_Admin_Page {
        /**
         * Add page screen hooks
         *
         * @since 1.0.0
         *
         * @param $hook
         */
        public function enqueue_scripts( $hook ) {
            // Load admin styles
			auto_tmdb_admin_enqueue_styles( AUTO_MOVIE_VERSION );

            $auto_tmdb_data = new Auto_Movie_Admin_Data();

        	// Load admin scripts
        	auto_tmdb_admin_enqueue_scripts_welcome(
            	AUTO_MOVIE_VERSION,
            	$auto_tmdb_data->get_options_data()
        	);
		}

		/**
         * Render page container
         *
         * @since 1.0.0
         */
        public function render() {

            $accessibility_enabled = get_option( 'auto_tmdb_enable_accessibility', false ); ?>

            <main class="tmdb-wrap <?php echo $accessibility_enabled ? 'tmdb-color-accessible' : ''; ?> <?php echo esc_attr( 'auto-tmdb-' . $this->page_slug ); ?>">

                <?php
                $this->render_page_content();
                ?>

            </main>

            <?php
        }
	}

endif;
