<?php
// Count total forms
$count        = $this->countModules();
$count_active = $this->countModules( 'publish' );

// available bulk actions
$bulk_actions = $this->bulk_actions();

$this->template( 'dashboard/widgets/widget-popup' );

?>

<?php if ( $count > 0 ) { ?>

    <!-- START: Bulk actions and pagination -->
    <div class="tmdb-listings-pagination">

        <div class="tmdb-pagination-mobile tmdb-pagination-wrap">
            <span class="tmdb-pagination-results">
                            <?php /* translators: ... */ echo esc_html( sprintf( _n( '%s result', '%s results', $count, Auto_Movie::DOMAIN ), $count ) ); ?>
                        </span>
            <?php $this->pagination(); ?>
        </div>

        <div class="tmdb-pagination-desktop tmdb-box">
            <div class="tmdb-box-search">

                <form method="post" name="tmdb-bulk-action-form" class="tmdb-search-left">

                    <input type="hidden" id="auto-tmdb-nonce" name="auto_tmdb_nonce" value="<?php echo wp_create_nonce( 'auto-tmdb-campaign-request' );?>">
                    <input type="hidden" name="_wp_http_referer" value="<?php admin_url( 'admin.php?page=auto-tmdb-campaign' ); ?>">
                    <input type="hidden" name="ids" id="tmdb-select-campaigns-ids" value="">

                    <label for="tmdb-check-all-campaigns" class="tmdb-checkbox">
                        <input type="checkbox" id="tmdb-check-all-campaigns">
                        <span aria-hidden="true"></span>
                        <span class="tmdb-screen-reader-text"><?php esc_html_e( 'Select all', Auto_Movie::DOMAIN ); ?></span>
                    </label>

                    <div class="tmdb-select-wrapper">
                        <select name="auto_tmdb_bulk_action" id="bulk-action-selector-top">
                            <option value=""><?php esc_html_e( 'Bulk Action', Auto_Movie::DOMAIN ); ?></option>
                            <?php foreach ( $bulk_actions as $val => $label ) : ?>
                                <option value="<?php echo esc_attr( $val ); ?>"><?php echo esc_html( $label ); ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>

                    <button class="tmdb-button tmdb-bulk-action-button"><?php esc_html_e( 'Apply', Auto_Movie::DOMAIN ); ?></button>

                </form>

                <div class="tmdb-search-right">

                    <div class="tmdb-pagination-wrap">
                        <span class="tmdb-pagination-results">
                            <?php /* translators: ... */ echo esc_html( sprintf( _n( '%s result', '%s results', $count, Auto_Movie::DOMAIN ), $count ) ); ?>
                        </span>
                        <?php $this->pagination(); ?>
                    </div>

                </div>

            </div>

        </div>

    </div>
    <!-- END: Bulk actions and pagination -->

    <div class="tmdb-accordion tmdb-accordion-block" id="tmdb-modules-list">

        <?php
        foreach ( $this->getModules() as $module ) {
        ?>
            <div class="tmdb-accordion-item">
                <div class="tmdb-accordion-item-header">

                    <div class="tmdb-accordion-item-title tmdb-trim-title">
                        <label for="wpf-module-<?php echo esc_attr( $module['id'] ); ?>" class="tmdb-checkbox tmdb-accordion-item-action">
                            <input type="checkbox" id="wpf-module-<?php echo esc_attr( $module['id'] ); ?>" class="tmdb-check-single-campaign" value="<?php echo esc_html( $module['id'] ); ?>">
                            <span aria-hidden="true"></span>
                            <span class="tmdb-screen-reader-text"><?php esc_html_e( 'Select this form', Auto_Movie::DOMAIN ); ?></span>
                        </label>
                        <span class="tmdb-trim-text">
                            <?php echo auto_tmdb_get_campaign_name( $module['id'] ); ?>
                        </span>
                        <?php
                        if ( 'publish' === $module['status'] ) {
                            echo '<span class="tmdb-tag tmdb-tag-blue">' . esc_html__( 'Published', Auto_Movie::DOMAIN ) . '</span>';
                        }
                        ?>

                        <?php
                        if ( 'draft' === $module['status'] ) {
                            echo '<span class="tmdb-tag">' . esc_html__( 'Draft', Auto_Movie::DOMAIN ) . '</span>';
                        }
                        ?>
                    </div>

                    <div class="tmdb-accordion-item-date">
                        <strong><?php esc_html_e( 'Last Run', Auto_Movie::DOMAIN ); ?></strong>
                        <?php esc_html_e( $module['last_run_time'] ); ?>
                    </div>

                    <div class="tmdb-accordion-col-auto">

                        <a href="<?php echo admin_url( 'admin.php?page=auto-tmdb-campaign-wizard&id=' . $module['id'].'&source='.$module['type'] ); ?>"
                           class="tmdb-button tmdb-button-ghost tmdb-accordion-item-action tmdb-desktop-visible">
                            <ion-icon name="pencil" class="tmdb-icon-pencil"></ion-icon>
                            <?php esc_html_e( 'Edit', Auto_Movie::DOMAIN ); ?>
                        </a>

                        <div class="tmdb-dropdown tmdb-accordion-item-action">
                            <button class="tmdb-button-icon tmdb-dropdown-anchor">
                                <ion-icon name="settings"></ion-icon>
                            </button>
                            <ul class="tmdb-dropdown-list">

                                <li>
                                    <form method="post">
                                        <input type="hidden" name="auto_tmdb_single_action" value="update-status">
                                        <input type="hidden" name="id" value="<?php echo esc_attr( $module['id'] ); ?>">
                                        <?php
                                        if ( 'publish' === $module['status'] ) {
                                            ?>
                                            <input type="hidden" name="status" value="draft">
                                            <?php
                                        }
                                        ?>
                                        <?php
                                        if ( 'draft' === $module['status'] ) {
                                            ?>
                                            <input type="hidden" name="status" value="publish">
                                            <?php
                                        }
                                        ?>
                                        <input type="hidden" id="auto_tmdb_nonce" name="auto_tmdb_nonce" value="<?php echo wp_create_nonce('auto-tmdb-campaign-request'); ?>">
                                        <button type="submit">
                                            <ion-icon class="tmdb-icon-cloud" name="cloud"></ion-icon>
                                            <?php
                                            if ( 'publish' === $module['status'] ) {
                                                echo esc_html__( 'Unpublish', Auto_Movie::DOMAIN );
                                            }
                                            ?>

                                            <?php
                                            if ( 'draft' === $module['status'] ) {
                                                echo esc_html__( 'Publish', Auto_Movie::DOMAIN );
                                            }
                                            ?>
                                        </button>
                                    </form>
                                </li>

                                <li>
                                    <a href="#delete-popup" class="open-popup-delete" data-effect="mfp-zoom-in">
                                    <button
                                        class="tmdb-option-red tmdb-delete-action"
                                        data-campaign-id="<?php echo esc_attr( $module['id'] ); ?>">
                                        <ion-icon class="tmdb-icon-trash" name="trash"></ion-icon> <?php esc_html_e( 'Delete', Auto_Movie::DOMAIN ); ?>
                                    </button>
                                    </a>
                                </li>

                            </ul>
                        </div>

                        <button class="tmdb-button-icon tmdb-accordion-open-indicator" aria-label="<?php esc_html_e( 'Open item', Auto_Movie::DOMAIN ); ?>">
                            <ion-icon name="chevron-down"></ion-icon>
                        </button>


                    </div>

                </div>
                <div class="tmdb-accordion-item-body tmdb-campaign-detail-hide">
                    <ul class="tmdb-accordion-item-data">
                        <li data-col="large">
                            <strong><?php esc_html_e( 'Last Run', Auto_Movie::DOMAIN ); ?></strong>
                            <?php esc_html_e( $module['last_run_time'] ); ?>
                        </li>
                        <li data-col="large">
                            <strong><?php esc_html_e( 'Type', Auto_Movie::DOMAIN ); ?></strong>
                            <?php esc_html_e( $module['type'] ); ?>
                        </li>
                        <li data-col="large">
                            <strong><?php esc_html_e( 'Keywords', Auto_Movie::DOMAIN ); ?></strong>
                            <?php esc_html_e( $module['keywords'] ); ?>
                        </li>
                    </ul>
                </div>

            </div>

        <?php

        }

        ?>

    </div>

    <!-- Delete Popup -->

    <div id="delete-popup" class="white-popup mfp-with-anim mfp-hide">

        <div class="tmdb-box" role="document">

            <div class="tmdb-box-header">

                <h3 class="tmdb-box-title" id="dialogTitle"><?php esc_html_e( 'Delete Form', Auto_Movie::DOMAIN ); ?></h3>

            </div>

            <div id="2031" class="wpmudev-section--popup">

                <div class="tmdb-box-body">
                    <span class="tmdb-description"><?php esc_html_e( 'Are you sure you wish to permanently delete this campaign?', Auto_Movie::DOMAIN ); ?></span>
                </div>

                <div class="tmdb-box-footer">
                    <button type="button" class="tmdb-button tmdb-button-ghost tmdb-close-popup" data-a11y-dialog-hide=""><?php esc_html_e( 'Cancel', Auto_Movie::DOMAIN ); ?></button>
                    <form method="post" class="delete-action">
                        <input type="hidden" name="auto_tmdb_single_action" value="delete">
                        <input type="hidden" class="tmdb-delete-id" name="id" value="">
                        <input type="hidden" id="auto_tmdb_nonce" name="auto_tmdb_nonce" value="<?php echo wp_create_nonce('auto-tmdb-campaign-request'); ?>">
                        <input type="hidden" name="_wp_http_referer" value="<?php admin_url( 'admin.php?page=auto-tmdb-campaign' ); ?>">
                        <button type="submit" class="tmdb-button tmdb-button-ghost tmdb-button-red">
                            <ion-icon class="tmdb-icon-trash" name="trash"></ion-icon>
                            <?php esc_html_e( 'Delete', Auto_Movie::DOMAIN ); ?>
                        </button>
                    </form>
                </div>

            </div></div>

    </div>

<?php } else { ?>
    <div class="tmdb-box tmdb-message tmdb-message-lg">

        <img src="<?php echo esc_url(AUTO_MOVIE_URL.'/assets/images/tmdb.png'); ?>" class="tmdb-image tmdb-image-center" aria-hidden="true" alt="<?php esc_attr_e( 'Auto Movie', Auto_Movie::DOMAIN ); ?>">

        <div class="tmdb-message-content">

            <p><?php esc_html_e( 'Create a campaign to generate WordPress posts automatically from Movie.', Auto_Movie::DOMAIN ); ?></p>

            <p>
                <a href="<?php echo admin_url( 'admin.php?page=auto-tmdb-campaign-wizard&source=tmdb' );?>">
                    <button class="tmdb-button tmdb-button-blue" data-modal="custom_forms">
                  <i class="tmdb-icon-plus" aria-hidden="true"></i> <?php esc_html_e( 'Create', Auto_Movie::DOMAIN ); ?>
               </button>
                </a>
            </p>


        </div>

    </div>

<?php } ?>
