<?php
$source = isset( $_GET['source'] ) ? sanitize_text_field( $_GET['source'] ) : 'dashboard';
$id = isset( $_GET['id'] ) ? sanitize_text_field( $_GET['id'] ) : '';
// Campaign Settings
$settings = array();
if(!empty($id)){
    $model    = $this->get_single_model( $id );
    $settings = $model->settings;
    $settings['status'] = $model->status;
}
?>
<div class="tmdb-row-with-sidenav">

    <div class="tmdb-sidenav">

        <div class="tmdb-mobile-select">
            <span class="tmdb-select-content"><?php esc_html_e( 'General', Auto_Movie::DOMAIN ); ?></span>
            <ion-icon name="chevron-down" class="tmdb-icon-down"></ion-icon>
        </div>

        <ul class="tmdb-vertical-tabs tmdb-sidenav-hide-md">

            <li class="tmdb-vertical-tab">
                <a href="#" data-nav="dashboard"><?php esc_html_e( 'General', Auto_Movie::DOMAIN ); ?></a>
            </li>

            <li class="tmdb-vertical-tab">
                <a href="#" data-nav="schedule"><?php esc_html_e( 'Schedule', Auto_Movie::DOMAIN ); ?></a>
            </li>

            <li class="tmdb-vertical-tab">
                <a href="#" data-nav="post"><?php esc_html_e( 'Post Status', Auto_Movie::DOMAIN ); ?></a>
            </li>

            <li class="tmdb-vertical-tab">
                <a href="#" data-nav="category"><?php esc_html_e( 'Categories & Tags', Auto_Movie::DOMAIN ); ?></a>
            </li>

        </ul>

        <div class="tmdb-sidenav-settings">
          <a href="#run-campaign-popup" class="open-popup-campaign" data-effect="mfp-zoom-in">
            <button id="tmdb-run-button" class="tmdb-button tmdb-sidenav-hide-md" accesskey="p">
                <?php esc_html_e( 'Run Campaign', Auto_Movie::DOMAIN ); ?>
            </button>
          </a>
      </div>

    </div>

    <form class="tmdb-campaign-form" method="post" name="tmdb-campaign-form" action="">

    <div class="tmdb-box-tabs">
        <?php $this->template( 'campaigns/wizard/sections/tab-save',  $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-schedule',  $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-dashboard', $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-post', $settings); ?>
        <?php $this->template( 'campaigns/wizard/sections/tab-category', $settings); ?>
    </div>
        <input type="hidden" name="tmdb_selected_source" value="<?php echo esc_html($source); ?>">
        <input type="hidden" name="campaign_id" value="<?php echo esc_html($id); ?>">
    </form>
</div>

<div id="run-campaign-popup" class="white-popup mfp-with-anim mfp-hide">

		<div class="tmdb-box-header tmdb-block-content-center">
			<h3 class="tmdb-box-title type-title"><?php esc_html_e( 'Campaign Console', Auto_Movie::DOMAIN ); ?></h3>
		</div>

        <div class="tmdb-box-body tmdb-campaign-popup-body">
        </div>

        <div class="tmdb-box-footer tmdb-box-footer-center">
          <button type="button" class="tmdb-button tmdb-run-campaign-button">
              <span class="tmdb-loading-text"><?php esc_html_e( 'Run', Auto_Movie::DOMAIN ); ?></span>
          </button>
        </div>

		<img src="<?php echo esc_url(AUTO_MOVIE_URL.'/assets/images/tmdb.png'); ?>" class="tmdb-image tmdb-image-center" aria-hidden="true" alt="<?php esc_attr_e( 'Auto Movie', Auto_Movie::DOMAIN ); ?>">
</div>
