<?php
$current_addon_data = auto_tmdb_get_addon_data('tmdb');
?>
<div class="tmdb-box" role="document">

    <div class="tmdb-box-header tmdb-block-content-center">

        <div class="tmdb-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_MOVIE_URL.'/assets/images/tmdb-sketched.png'); ?>" alt="<?php esc_attr_e( 'Movie SessionID', Auto_Movie::DOMAIN ); ?>">

        </div>

        <div class="tmdb-box-content integration-header">

            <h3 class="tmdb-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup Movie SessionID', Auto_Movie::DOMAIN ); ?></h3>

			<span class="tmdb-description">
                <?php esc_html_e( 'Setup Movie SessionID to be used by Auto Movie to display feeds on your blog.', Auto_Movie::DOMAIN ); ?>
			</span>

        </div>

    </div>

    <div class="tmdb-box-body">
        <form class="tmdb-integration-form" method="post" name="tmdb-integration-form" action="">

            <div class="tmdb-form-field">
                <label class="tmdb-label"><?php esc_html_e( 'Session ID', Auto_Movie::DOMAIN ); ?></label>
                <div class="tmdb-control-with-icon">
                    <ion-icon class="tmdb-icon-key" name="key"></ion-icon>
                    <input name="session_id" placeholder="<?php esc_html_e( 'Session ID', Auto_Movie::DOMAIN ); ?>" value="<?php if(!empty($current_addon_data['session_id'])){echo $current_addon_data['session_id'];}?>" class="tmdb-form-control">
                </div>
            </div>

            <input type="hidden" name="slug" value="<?php echo esc_attr('tmdb');?>" >
            <input type="hidden" name="is_connected" value="<?php echo esc_attr($current_addon_data['is_connected']);?>" >

            <div class="tmdb-border-frame tmdb-description">

                <span>
                    <?php
                    printf(
                        esc_html__( 'Follow %1$s your Movie SessionID.', Auto_Movie::DOMAIN ),
                        '<a href="https://wpautorobot.com/document/">these instructions to retrieve</a>'
                    );
                    ?>
                </span>

            </div>

        </form>

    </div>

    <div class="tmdb-box-footer tmdb-box-footer-center">
        <button type="button" class="tmdb-button tmdb-addon-connect">
            <span class="tmdb-loading-text"><?php esc_html_e( 'Connect', Auto_Movie::DOMAIN ); ?></span>
        </button>
    </div>

</div>