<?php
$current_addon_data = auto_tmdb_get_addon_data('facebook');
?>
<div class="tmdb-box" role="document">

    <div class="tmdb-box-header tmdb-block-content-center">

        <div class="tmdb-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_MOVIE_URL.'/assets/images/facebook.png'); ?>" alt="<?php esc_attr_e( 'Facebook API', Auto_Movie::DOMAIN ); ?>">

        </div>

        <div class="tmdb-box-content integration-header">

            <h3 class="tmdb-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup Facebook API', Auto_Movie::DOMAIN ); ?></h3>

			<span class="tmdb-description">
                <?php esc_html_e( 'Setup Facebook API to be used by Auto Movie to display tweets on your blog.', Auto_Movie::DOMAIN ); ?>
			</span>

        </div>

    </div>

    <div class="tmdb-box-body">
        <form class="tmdb-integration-form" method="post" name="tmdb-integration-form" action="">

            <div class="tmdb-form-field">
                <label class="tmdb-label"><?php esc_html_e( 'Access Token', Auto_Movie::DOMAIN ); ?></label>
                <div class="tmdb-control-with-icon">
                    <ion-icon class="tmdb-icon-key" name="key"></ion-icon>
                    <input name="access_token" placeholder="<?php esc_html_e( 'Access Token', Auto_Movie::DOMAIN ); ?>" value="<?php if(!empty($current_addon_data['access_token'])){echo $current_addon_data['access_token'];}?>" class="tmdb-form-control">
                </div>
            </div>

            <input type="hidden" name="slug" value="<?php echo esc_attr('facebook');?>" >
            <input type="hidden" name="is_connected" value="<?php echo esc_attr($current_addon_data['is_connected']);?>" >

            <div class="tmdb-border-frame tmdb-description">

                <span>
                    <?php esc_html_e( 'Follow these instructions to retrieve your Client ID and Secret.', Auto_Movie::DOMAIN ); ?>
                </span>

            </div>

        </form>

    </div>

    <div class="tmdb-box-footer tmdb-box-footer-center">
        <button type="button" class="tmdb-button tmdb-addon-connect">
            <span class="tmdb-loading-text"><?php esc_html_e( 'Connect', Auto_Movie::DOMAIN ); ?></span>
        </button>
    </div>

</div>