<?php
$addons = auto_tmdb_get_addons();
?>
<div id="tmdb-apps" class="tmdb-box-tab active">

    <div class="tmdb-box">

        <div class="tmdb-box-header">

            <h2 class="tmdb-box-title">
                <?php esc_html_e( 'Your API Settings', Auto_Movie::DOMAIN ); ?>
            </h2>

        </div>

        <div id="tmdb-integrations-page" class="tmdb-box-body">
            <p>
                <?php esc_html_e( 'Auto Movie integrates with your favorite third party apps. You can connect to the available apps via their API here and activate them to collect data in the Integrations tab of your forms, polls or quizzes.', Auto_Movie::DOMAIN ); ?>
            </p>

            <div class="tmdb-integrations-block">

                <span class="tmdb-table-title"><?php esc_html_e( 'Connected Apps', Auto_Movie::DOMAIN ); ?></span>

                <?php
                if ( ! empty( $addons['connected'] ) ) {
                ?>

                <table class="tmdb-table tmdb-table--apps">
                    <tbody>
                    <?php foreach ( $addons['connected'] as $key => $provider ) : ?>

                    <tr class="tmdb-integration-enabled">
                        <td class="tmdb-table-item-title">
                            <div class="tmdb-app--wrapper">
                                <img src="<?php echo esc_attr($provider['icon_url']); ?>" alt="<?php echo esc_attr($provider['name']); ?>" class="tmdb-addon-image" aria-hidden="true">
                                <span><?php echo esc_html($provider['name']); ?></span>
                                <a href="#integration-popup" class="tmdb-connect-integration" data-effect="mfp-zoom-in" data-slug="<?php echo esc_attr($provider['slug']); ?>">
                                <button class="tmdb-button-icon tmdb-tooltip tmdb-tooltip-top-right connect-integration">
                                    <ion-icon name="settings-outline"></ion-icon>
                                    <span class="tmdb-screen-reader-text"><?php esc_html_e( 'Connect this integration', Auto_Movie::DOMAIN ); ?></span>
                                </button>
                                </a>
                            </div>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                    </tbody>
                </table>

                <?php } else { ?>

                    <div class="tmdb-notice tmdb-notice-info">
                        <p><?php esc_html_e( 'You are not connected to any third party apps. You can connect to the available apps listed below and activate them in your modules to collect data.', Auto_Movie::DOMAIN ); ?></p>
                    </div>

                <?php } ?>

                <span class="tmdb-description">
                    <?php esc_html_e( 'To activate any of these to collect data, go to the Integrations tab of your forms, polls or quizzes.', Auto_Movie::DOMAIN ); ?>
                </span>

            </div>

            <div class="tmdb-integrations-block">

                <span class="tmdb-table-title"><?php esc_html_e( 'Available Apps', Auto_Movie::DOMAIN ); ?></span>

                <?php
                if ( ! empty( $addons['not_connected'] ) ) {
                ?>

                <table class="tmdb-table tmdb-table--apps">
                    <tbody>
                    <?php foreach ( $addons['not_connected'] as $key => $provider ) : ?>
                        <tr>
                            <td class="tmdb-table-item-title">
                                <div class="tmdb-app--wrapper">
                                    <img src="<?php echo esc_attr($provider['icon_url']); ?>"  alt="<?php echo esc_attr($provider['name']); ?>" class="tmdb-addon-image" aria-hidden="true">
                                    <span><?php echo esc_html($provider['name']); ?></span>
                                    <a href="#integration-popup" class="tmdb-connect-integration" data-effect="mfp-zoom-in" data-slug="<?php echo esc_attr($provider['slug']); ?>">
                                        <button class="tmdb-button-icon tmdb-tooltip tmdb-tooltip-top-right" >
                                        <ion-icon name="add"></ion-icon>
                                        <span class="tmdb-screen-reader-text"><?php esc_html_e( 'Connect this integration', Auto_Movie::DOMAIN ); ?></span>
                                    </button>
                                    </a>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                    </tbody>
                </table>


                <?php
                    }
                ?>

            </div>
        </div>

    </div>

    <!-- Integration Popup -->
    <div id="integration-popup" class="white-popup mfp-with-anim mfp-hide">
    </div>

</div>